Subject: [tram] FW: New Version Notification for draft-wang-tram-turnlite-03.txt

From: "Aijun Wang" <[email-masked]>
Date: Fri, 17 Jul 2015 11:39:49 +0800

Hi, all:

We updated the draft about lightweight TURN architecture( http://datatracker.ietf.org/doc/draft-wang-tram-turnlite/), which feedback mainly the comments from Brandon Williams. 
Mr.Bing Liu, the co-author of this draft, will make presentation in the coming Prague meeting, and will also introduce briefly the solution for the scenarios that clients located in different ISP' domain.

We think the TURNLite approach be one alternative solution for solving the communication between the clients that located in various NAT devices. It solves naturally the problem that describe in https://tools.ietf.org/html/draft-ietf-tram-turn-server-discovery-03, and can easily integrate the timestamp STUN attribute that describe in https://tools.ietf.org/html/draft-martinsen-tram-turnbandwidthprobe-00 to detect the bandwidth and latency between the client and TURN. 

Due to the TURN Server selection is controlled centrally in TURNLite architecture, the communication clients can easily switch to another feasible TURN server simultaneously. The RS(Relay Selector that described in TURNLite architecture) can also gather dynamically the communication statistics data from the relay devices and give the better selection results of TURN server for the coming communication peers.

It can also easily solve the concern for "IP address privacy" that raised in https://tools.ietf.org/html/draft-reddy-tram-turn-ipaddress-privacy-00 and "IP mobility" that raised in 
http://datatracker.ietf.org/doc/draft-wing-tram-turn-mobility/. 

Wish this draft can give all the TRAMer one different viewpoint to solve the confronting questions. Any comments are welcome.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, July 02, 2015 11:15 AM
To: Aijun Wang; Bing Liu; Aijun Wang; Bing Liu
Subject: New Version Notification for draft-wang-tram-turnlite-03.txt

A new version of I-D, draft-wang-tram-turnlite-03.txt has been successfully submitted by Aijun Wang and posted to the IETF repository.

Name:		draft-wang-tram-turnlite
Revision:	03
Title:		A Lightweight TURN Architecture and Specification (TURN-Lite)
Document date:	2015-07-02
Group:		Individual Submission
Pages:		17
URL:            https://www.ietf.org/internet-drafts/draft-wang-tram-turnlite-03.txt
Status:         https://datatracker.ietf.org/doc/draft-wang-tram-turnlite/
Htmlized:       https://tools.ietf.org/html/draft-wang-tram-turnlite-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-wang-tram-turnlite-03

Abstract:
   This document proposes a new relay-based NAT traversal architecture
   called TURN-Lite which could simplify the data communication process
   between two hosts that locates behind some non-BEHAVE compliant
   [RFC4787] [RFC5382] NAT devices.  The key mechanism in TURN-Lite is
   the newly defined "Couple" operation (using STUN [RFC5389] message
   format) which allows the TURN-Lite servers to be easily incorporated
   into existing CGN devices/CDN nodes which are already deployed within
   the network in a distributed manner.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat